import { Observable } from 'rxjs';
import { Try } from 'javascriptutilities';
import { State } from 'type-safe-state-js';
export declare type STStream = Observable<State.Type<any>>;
/**
 * Stream the value at a node.
 * @param {STStream} The state stream.
 * @param {string} id A string value.
 * @returns {Observable<Try<any>>} An Observable instance.
 */
export declare function valueAtNode(stream: STStream, id: string): Observable<Try<any>>;
/**
 * Convenience method to stream a string from a node.
 * @param {STStream} The state stream.
 * @param {string} id A string value.
 * @returns {Observable<Try<string>>} An Observable instance.
 */
export declare function stringAtNode(stream: STStream, id: string): Observable<Try<string>>;
/**
 * Convenience method to stream a number from a node.
 * @param {STStream} The state stream.
 * @param {string} id A string value.
 * @returns {Observable<Try<number>>} An Observable instance.
 */
export declare function numberAtNode(stream: STStream, id: string): Observable<Try<number>>;
/**
 * Convenience method to stream a boolean from a node.
 * @param {STStream} The state stream.
 * @param {string} id A string value.
 * @returns {Observable<Try<boolean>>} An Observable instance.
 */
export declare function booleanAtNode(stream: STStream, id: string): Observable<Try<boolean>>;
