"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var operators_1 = require("rxjs/operators");
/**
 * Stream the value at a node.
 * @param {STStream} The state stream.
 * @param {string} id A string value.
 * @returns {Observable<Try<any>>} An Observable instance.
 */
function valueAtNode(stream, id) {
    return stream.pipe(operators_1.map(function (v) { return v.valueAtNode(id); }));
}
exports.valueAtNode = valueAtNode;
/**
 * Convenience method to stream a string from a node.
 * @param {STStream} The state stream.
 * @param {string} id A string value.
 * @returns {Observable<Try<string>>} An Observable instance.
 */
function stringAtNode(stream, id) {
    return stream.pipe(operators_1.map(function (v) { return v.stringAtNode(id); }));
}
exports.stringAtNode = stringAtNode;
/**
 * Convenience method to stream a number from a node.
 * @param {STStream} The state stream.
 * @param {string} id A string value.
 * @returns {Observable<Try<number>>} An Observable instance.
 */
function numberAtNode(stream, id) {
    return stream.pipe(operators_1.map(function (v) { return v.numberAtNode(id); }));
}
exports.numberAtNode = numberAtNode;
/**
 * Convenience method to stream a boolean from a node.
 * @param {STStream} The state stream.
 * @param {string} id A string value.
 * @returns {Observable<Try<boolean>>} An Observable instance.
 */
function booleanAtNode(stream, id) {
    return stream.pipe(operators_1.map(function (v) { return v.booleanAtNode(id); }));
}
exports.booleanAtNode = booleanAtNode;
//# sourceMappingURL=util.js.map